#
# spec file for package z81 (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         z81
Copyright:    GPL
Group:        Applications/Emulators 
Autoreqprov:  on
Version:      1.2
Release:      274
Summary:      Sinclair ZX81 (Timex TS1000) emulator (with ROM)
Source:       z81-1.2.tar.bz2
Patch0:       z81-1.2-conf.patch
Patch1:       z81-1.2-sig.patch
Patch2:       z81-1.2-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
Z81 is a ZX81-Emulator. The ZX81 is also known as Timex TS1000 and a
small predecessor of the ZX Spectrum. It used to have 1KB RAM of
memory. Amstrad kindly gave permission to include the ROM-image
containing the original OS. Amstrad retains it's copyright.

Authors:
--------
    Russel Marks

SuSE series: emu

%prep
%setup
%patch0
%patch1
%patch2

%build
make z81txt xz81
%ifnarch sparc ia64 s390
make z81
%endif

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
%ifnarch sparc ia64 s390
chmod a-x $RPM_BUILD_ROOT/usr/bin/z81
%endif

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README TODO *.txt *.p
/usr/X11R6/bin/xz81
%ifnarch sparc ia64 s390
%attr(755,-,-)/usr/bin/z81
%endif
/usr/bin/z81txt
/usr/bin/zx81get
/usr/lib/z81/
%doc /usr/share/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n z81
* Thu Apr 19 2001 - pmladek@suse.cz
- SVGA version is not built on s390
- bzipped sources
* Tue Apr 17 2001 - pmladek@suse.cz
- SVGA version is not built on ia64
- fixed warnings on ia64
* Tue Dec 05 2000 - kukuk@suse.de
- change %%attr of z81 back to 755, set it in /etc/permissions.easy
* Wed Oct 25 2000 - cihlar@suse.cz
- fixed copyright tag
- %%attr of z81 changed to 4755
- removed "Requires: ei"
* Tue Jun 13 2000 - cihlar@suse.cz
- SVGA version is not built on sparc
- removed obsolete rawkey-0.21.tar.gz
* Fri May 19 2000 - cihlar@suse.cz
- Group sorted
* Wed Mar 29 2000 - cihlar@suse.cz
- fixed to compile on PPC
- package does not require vga library
* Wed Mar 22 2000 - cihlar@suse.cz
- added BuildRoot
* Fri Mar 03 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 10 1999 - uli@suse.de
- added librawkey sources to make it build on AXP
* Fri Sep 25 1998 - ro@suse.de
- for glibc use correct type for sa_mask initialisation
* Mon Feb 17 1997 - rj@suse.de
- new package
- Version 0.2 (including ROM)
